libgnomecanvas (2.30.3-4) unstable; urgency=low

  * New maintainer. (Closes: #873351, #886063, #895247)
  * Add fix from Jason Duerstock for FTBFS with gtk-doc-tools 1.27.
    (Closes: #887868)
  * Add memory leak fix for gnome-canvas.c:paint(). (Closes: #753621)
  * Stop using the deprecated GNOME_COMPILE_WARNINGS. (Closes: #829811)
  * Move all packages to Section: oldlibs.
  * Update the package descriptions for the deprecated status.

 -- Adrian Bunk <bunk@debian.org>  Thu, 30 Aug 2018 23:19:52 +0300

libgnomecanvas (2.30.3-3) unstable; urgency=medium

  * Run wrap-and-sort -a.
  * Convert from cdbs to dh.
  * Switch to automatic dbgsym packages.
  * Bump debhelper compat level to 10.
  * Add Build-Depends on gnome-common and intltool. Required by autoreconf.
    (Closes: #837829)
  * Add Vcs-* fields.
  * Use xvfb to run the test-suite.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Oct 2016 02:31:15 +0200

libgnomecanvas (2.30.3-2) unstable; urgency=low

  * Switch to multiarch. Closes: #695556.
    + Require a MA libglade.
    + Update build-dependencies.
    + Make library and devel packages MA: same, make -common MA: 
      foreign.
    + Update installation paths.
  * Drop gnome:Version.
  * Move to section oldlibs.
  * Use dh-autoreconf.
  * 99_ltmain_as-needed.patch: dropped, obsolete.
  * 02_link.patch: new patch. Correctly link the demos.

 -- Josselin Mouette <joss@debian.org>  Fri, 27 Dec 2013 14:31:10 +0100

libgnomecanvas (2.30.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Fix -dbg package description. Closes: #588605.

  [ Michael Biebl ]
  * New upstream release. Closes: #629918
  * debian/watch:
    - Switch to .bz2 tarballs.
    - Don't run uupdate.
  * Switch to dpkg source format 3.0 (quilt).
  * Remove obsolete debian/libgnomecanvas2-{common,dev}.files.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Remove old Conflicts/Replaces which are no longer necessary.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * Stop installing libtool .la files.
  * Small updates to the description synopsis.

 -- Michael Biebl <biebl@debian.org>  Sat, 30 Jul 2011 17:24:05 +0200

libgnomecanvas (2.30.1-1) unstable; urgency=low

  * New upstream release.
    + debian/patches/01_canvasassert.patch,
    + debian/patches/99_ltmain_as-needed.patch:
      - Refreshed.
    + debian/rules:
      - Added --enable-glade to DEB_CONFIGURE_EXTRA_FLAGS
  * debian/control.in:
    + Bump Standards version to 3.8.4 (No changes needed).
    + Build-Depend on debhelper (>= 5) since we use compat level 5.

 -- David Weinehall <tao@debian.org>  Thu, 01 Apr 2010 21:35:49 +0300

libgnomecanvas (2.26.0-1) unstable; urgency=low

  [ Sven Arvidsson ]
  * Add a -dbg package (Closes: #286973)
  * Bump debhelper compatibility to v5.

  [ Emilio Pozuelo Monfort ]
  * debian/libgnomecanvas2-doc.doc-base: fix section.

  [ Josselin Mouette ]
  * Build-depend on libgail-dev 1.9.0. Closes: #506012.
  * Add libglib2.0-doc and libgtk2.0-doc to b-d-i to ensure proper
    xrefs.
  * New upstream release.
  * Update list of copyright holders.
  * 99_ltmain_as-needed.patch: updated for the new libtool version.
  * Fix section for debugging package.
  * Remove doc-base file, it duplicates the job of devhelp.
  * Don’t use -1 in build-dependencies.
  * Wrap dependencies, add missing ${misc:Depends} and fix some 
    versions.

 -- Josselin Mouette <joss@debian.org>  Tue, 28 Apr 2009 13:15:50 +0200

libgnomecanvas (2.20.1.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2007 12:51:05 +0200

libgnomecanvas (2.20.1-1) unstable; urgency=low

  * New upstream release, with translation updates.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 14 Oct 2007 18:47:21 +0200

libgnomecanvas (2.20.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Don't include autotools.mk as it's already included by gnome.mk.

  [ Sebastian Dröge ]
  * New upstream release.
  * Upload to unstable, drop check-dist include.
  * debian/patches/99_ltmain_as-needed.patch:
    + Updated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2007 06:36:51 +0200

libgnomecanvas (2.19.2-1) experimental; urgency=low

  * New upstream release:
    + Patch 99_ltmain_as-needed.patch updated.
  * debian/control.in:
    + Add libgail-dev to the dependencies of the -dev package.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Sep 2007 08:31:29 +0200

libgnomecanvas (2.19.1-1) experimental; urgency=low

  * New upstream release:
    + debian/rules: Include check-dist.mk again
    + debian/control.in:
      - Split build-deps to multiple lines
      - Add new libgail-dev build-dep
      - Bump Standards-Version (no changes needed)
      - Use ${binary:Version} instead of ${Source-Version}

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 04 Aug 2007 08:50:52 +0200

libgnomecanvas (2.14.0-3) unstable; urgency=low

  [ Loic Minier ]
  * Fix watch file.

  [ Josselin Mouette ]
  * rules: call clean-la.mk and gnome-version.mk.
  * Build-depend on gnome-pkg-tools 0.7.
  * Use ${gnome:Version} and ${gnome:NextVersion}.

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.

  [ Josselin Mouette ]
  * Rename canvasassert.patch to 01_canvasassert.patch.
  * Pass --as-needed through LDFLAGS; require cdbs 0.4.41.
  * 99_ltmain_as-needed.patch: get --as-needed to work.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Jun 2007 10:31:51 +0200

libgnomecanvas (2.14.0-2) unstable; urgency=low

  * Rebuild against libgtk2.0-dev 2.8.17-1 to remove the reference to
    libXcursor.la and libXrender.la (closes: #363050).
  * Conflict with older versions of libgnome2-canvas-perl
    (closes: #360918).

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Apr 2006 21:04:50 +0200

libgnomecanvas (2.14.0-1) unstable; urgency=low

  [ Oystein Gisnas ]
  * New upstream release
  * debian/watch:
    -- updated version to 2.14
  * debian/control.in:
    -- Bumped debhelper dependency to >= 4.1.0
  * debian/libgnomecanvas2-doc.doc-base:
    -- Corrected path to index.sgml.gz

  [ Ondřej Surý ]
  * Upload to unstable

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Mar 2006 11:16:50 +0100

libgnomecanvas (2.12.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Ondřej Surý <ondrej@debian.org>  Fri,  6 Jan 2006 21:50:07 +0100

libgnomecanvas (2.12.0-1) experimental; urgency=low

  * New upstream release.
  * Bump shlibs version.
  * Standards-version is 3.6.2.
  * copyright: update upstream URL.
  * watch: update for 2.12.

 -- Josselin Mouette <joss@debian.org>  Mon, 10 Oct 2005 19:30:38 +0200

libgnomecanvas (2.10.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Ondřej Surý <ondrej@sury.org>  Tue,  7 Jun 2005 16:07:20 +0200

libgnomecanvas (2.10.2-1) experimental; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 24 May 2005 23:40:54 +0200

libgnomecanvas (2.10.1-2) experimental; urgency=low

  * debian/patches/canvasassert.patch:
    - patch from http://bugzilla.gnome.org/304915 to fix a crasher
      (Closes: #310135).
  
 -- Sebastien Bacher <seb128@debian.org>  Sun, 22 May 2005 21:41:19 +0200

libgnomecanvas (2.10.1-1) experimental; urgency=low

  * New upstream version.
  * debian/rules:
    - build the html files.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 20 May 2005 11:20:59 +0200

libgnomecanvas (2.10.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/scan-crash.patch:
    - removed, the change is in the new version.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 23 Mar 2005 18:53:04 +0100

libgnomecanvas (2.8.0-1) unstable; urgency=low

  * GNOME team upload.
  * New upstream release.
  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Thu, 18 Nov 2004 18:36:36 +0100

libgnomecanvas (2.7.1-1) experimental; urgency=low

  * GNOME Team Upload.
  * New (development) upstream release.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 20 Jun 2004 18:43:46 +0200

libgnomecanvas (2.6.1.1-2) unstable; urgency=low

  * Upload for unstable.

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 May 2004 12:47:59 +0200

libgnomecanvas (2.6.1.1-1) experimental; urgency=low

  * New upstream release.
  * Gnome Team Upload.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 15 May 2004 14:16:48 +0200

libgnomecanvas (2.6.0-4) experimental; urgency=low

  * GNOME Team upload.
  * debian/patches/scan-crash.patch:
    + patch from Jeff Bailey to fix the FTBFS on ia64 (Closes: #245396).

 -- Sebastien Bacher <seb128@debian.org>  Wed,  5 May 2004 00:39:47 +0200

libgnomecanvas (2.6.0-3) experimental; urgency=low

  * GNOME team upload.
  * debian/control.in:
    - make libgnomecanvas2-0 depend on the current libgnomecanvas2-common
      version.
    - make libgnomecanvas2-dev suggest libgnomecanvas2-doc.
  * debian/libgnomecanvas2-0.shlibs: added, include version in shlibs.

 -- Jordi Mallach <jordi@debian.org>  Tue,  6 Apr 2004 14:47:13 +0200

libgnomecanvas (2.6.0-2) experimental; urgency=low

  * Add docbook-xml to Build-deps (Closes: #239817)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Mar 2004 16:24:10 +0100

libgnomecanvas (2.6.0-1) experimental; urgency=low

  * New upstream release.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Mar 2004 18:23:20 +0100

libgnomecanvas (2.4.0-3) unstable; urgency=low

  * New maintainer (Closes: #238894)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 23 Mar 2004 15:31:18 +0000

libgnomecanvas (2.4.0-2) unstable; urgency=low

  * Orphaned package.

 -- Christian Marillat <marillat@debian.org>  Fri, 19 Mar 2004 16:15:26 +0100

libgnomecanvas (2.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 13 Sep 2003 14:27:05 +0200

libgnomecanvas (2.2.1-3) unstable; urgency=low

  * Really buid with -mieee for alpha (Closes: #207817)

 -- Christian Marillat <marillat@debian.org>  Tue,  2 Sep 2003 11:20:22 +0200

libgnomecanvas (2.2.1-2) unstable; urgency=low

  * Compiled with -mieee for alpha.

 -- Christian Marillat <marillat@debian.org>  Sat, 30 Aug 2003 09:52:17 +0200

libgnomecanvas (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 18 May 2003 18:33:23 +0200

libgnomecanvas (2.2.0.2-2) unstable; urgency=low

  * Update section

 -- Christian Marillat <marillat@debian.org>  Tue,  1 Apr 2003 18:57:02 +0200

libgnomecanvas (2.2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 28 Feb 2003 01:47:12 +0100

libgnomecanvas (2.2.0.1-2) unstable; urgency=low

  * Commented out an assertion (Closes: #178224)

 -- Christian Marillat <marillat@debian.org>  Tue, 11 Feb 2003 16:29:11 +0100

libgnomecanvas (2.2.0.1-1) unstable; urgency=low

  * New upstream release.
  * This version should fix assertion crashs (Closes: #176750)

 -- Christian Marillat <marillat@debian.org>  Thu, 23 Jan 2003 16:50:12 +0100

libgnomecanvas (2.2.0-2) unstable; urgency=low

  * Hack configure for mipsel (Closes: #177880)

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Jan 2003 13:40:39 +0100

libgnomecanvas (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 22 Jan 2003 11:28:42 +0100

libgnomecanvas (2.1.90-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed,  8 Jan 2003 15:21:12 +0100

libgnomecanvas (2.1.5-2) unstable; urgency=low

  * Change libgnomecanvas2-doc Section to doc

 -- Christian Marillat <marillat@debian.org>  Tue,  7 Jan 2003 19:58:08 +0100

libgnomecanvas (2.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue,  7 Jan 2003 19:23:54 +0100

libgnomecanvas (2.0.5-2) unstable; urgency=low

  * Remove examples files. These files can't be used outside this tarball.
    (Closes: #171096)
  * Move devel documentation in the -doc package.

 -- Christian Marillat <marillat@debian.org>  Fri, 29 Nov 2002 14:17:25 +0100

libgnomecanvas (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 21 Nov 2002 18:46:55 +0100

libgnomecanvas (2.0.4-2) unstable; urgency=low

  * Update to standards version 3.5.7
  * debian/copyright license is LGPL not GPL (Closes: #162656)

 -- Christian Marillat <marillat@debian.org>  Sat, 28 Sep 2002 14:53:56 +0200

libgnomecanvas (2.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu,  5 Sep 2002 18:05:40 +0200

libgnomecanvas (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 29 Aug 2002 15:13:09 +0200

libgnomecanvas (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed,  7 Aug 2002 11:01:06 +0200

libgnomecanvas (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 12 Jun 2002 06:55:45 +0200

libgnomecanvas (2.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri,  7 Jun 2002 15:05:54 +0200

libgnomecanvas (1.117.0-2) unstable; urgency=low

  * Move *.mo files in libgnomecanvas2-common

 -- Christian Marillat <marillat@debian.org>  Tue, 21 May 2002 15:00:37 +0200

libgnomecanvas (1.117.0-1) unstable; urgency=low

  * New upstream release.
  * Add support for DEB_HOST_GNU_TYPE DEB_BUILD_GNU_TYPE and
    DEB_BUILD_OPTIONS

 -- Christian Marillat <marillat@debian.org>  Wed, 15 May 2002 18:39:09 +0200

libgnomecanvas (1.116.0-2) unstable; urgency=low

  * Update build-depndency (Closes: #145053)

 -- Christian Marillat <marillat@debian.org>  Tue, 30 Apr 2002 00:28:02 +0200

libgnomecanvas (1.116.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 29 Apr 2002 18:12:15 +0200

libgnomecanvas (1.115.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Wed, 24 Apr 2002 16:43:33 +0200

libgnomecanvas (1.114.0-2) unstable; urgency=low

  * Fix build problem with relink.

 -- Christian Marillat <marillat@debian.org>  Sun, 14 Apr 2002 19:15:46 +0200

libgnomecanvas (1.114.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue, 26 Mar 2002 23:35:33 +0100

libgnomecanvas (1.113.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 24 Mar 2002 00:42:43 +0100

libgnomecanvas (1.112.1-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue,  5 Mar 2002 14:09:47 +0100

libgnomecanvas (1.112.0-2) unstable; urgency=low

  * Build (again) against the latest libraries.

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Feb 2002 14:24:19 +0100

libgnomecanvas (1.112.0-1) unstable; urgency=low

  * New upstream release.
  * Build against the latest libraries

 -- Christian Marillat <marillat@debian.org>  Sat, 23 Feb 2002 11:12:01 +0100

libgnomecanvas (1.111.0-2) unstable; urgency=low

  * Build against the latest libatk.

 -- Christian Marillat <marillat@debian.org>  Mon, 18 Feb 2002 01:16:59 +0100

libgnomecanvas (1.111.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 14 Feb 2002 14:17:25 +0100

libgnomecanvas (1.110.0-1) unstable; urgency=low

  * New upstream release

 -- Christian Marillat <marillat@debian.org>  Sat,  2 Feb 2002 14:38:44 +0100

libgnomecanvas (1.109.0-3) unstable; urgency=low

  * Impove dependencies for the -dev package (Closes: #130692)

 -- Christian Marillat <marillat@debian.org>  Fri, 25 Jan 2002 19:18:26 +0100

libgnomecanvas (1.109.0-2) unstable; urgency=low

  * Build against the latest libatk9

 -- Christian Marillat <marillat@debian.org>  Wed, 23 Jan 2002 00:15:39 +0100

libgnomecanvas (1.109.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 18 Jan 2002 15:02:59 +0100

libgnomecanvas (1.108.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 24 Dec 2001 01:49:58 +0100

libgnomecanvas (1.107.0-1) unstable; urgency=low

  * News upstream release.

 -- Christian Marillat <marillat@debian.org>  Tue,  4 Dec 2001 00:31:21 +0100

libgnomecanvas (1.105.0-1) unstable; urgency=low

  * Initial Release.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Nov 2001 20:12:21 +0100

Local variables:
mode: debian-changelog
End:
